<?php
	/*
		This script is free for any use, personal or commercial. If it meets your needs, please consider visiting http://www.codemonkeyramblings.com and making a small tip jar donation via PayPal.
	*/
	require_once("wp-config.php");
	require_once("wp-includes/wp-db.php");
	header("Content-type: text/plain; charset=utf-8'\n\n\n");
	$posts = $wpdb->get_results("select ID, post_title, post_author, date_format( post_date, '%m/%d/%Y %h:%i:%s %p' ), post_content, post_excerpt, post_status, comment_status, ping_status from $wpdb->posts order by ID asc;", ARRAY_N);

	if ($posts != false)
	{
		foreach ($posts as $post)
		{
			print "TITLE: " . $post[1] . "\n";
			print "AUTHOR: " . $wpdb->get_var("select display_name from $wpdb->users where ID = $post[2]") . "\n";
			print "DATE: " . $post[3] . "\n";
			print "STATUS: " . ($post[6] == "publish" ? "Publish" : "Draft") . "\n";
			print "ALLOW COMMENTS: " . ($post[7] == "open" ? "1" : "0") . "\n";
			print "ALLOW PINGS: " . ($post[8] == "open" ? "1" : "0") . "\n";

			//If your host uses MySQL 4.1 this should work. It definitely works with MySQL 5.0 and is faster than the other code below it which is for older hosts

			/*$categories = $wpdb->get_results("select cat_name from $wpdb->categories where cat_id in (select category_id from $wpdb->post2cat where post_id = $post[0]);", ARRAY_N);

			if ($categories != false)
			{
				print "PRIMARY CATEGORY: " . $categories[0][0] . "\n";
				for ($x = 1; $x < count($categories); $x++)
					print "CATEGORY: " . $categories[$x][0] . "\n";
			}*/
			$post2cat = $wpdb->get_results("select category_id from $wpdb->post2cat where post_id = $post[0];", ARRAY_N);
			if ($post2cat != false)
			{
				$categoryName = $wpdb->get_var("select cat_name from $wpdb->categories where cat_id =". $post2cat[0][0]);
				print "PRIMARY CATEGORY: " . $categoryName . "\n";
				for ($x = 1; $x < count($post2cat); $x++)
					print "CATEGORY: " . $wpdb->get_var("select cat_name from $wpdb->categories where cat_id =". $post2cat[$x][0]) . "\n";
			}


			print "-----\n";
			print "BODY:\n";
			print $post[4];
			print "\n-----\n";
			print "EXTENDED BODY:\n";
			print $post[5];
			print "\n-----\n";

			$comments = $wpdb->get_results("select comment_author, comment_author_email, comment_author_url, comment_author_IP, date_format( comment_date, '%m/%d/%Y %h:%i:%s %p' ), comment_content, user_id from $wpdb->comments where comment_post_ID = $post[0] AND comment_type = '' order by comment_date desc;", ARRAY_N);

			if ($comments != false)
			{
				foreach ($comments as $comment)
				{
					print "COMMENT:\n";
					print "AUTHOR: " . $comment[0] . "\n";
					print "DATE: " . $comment[4] . "\n";
					print "IP: " . $comment[3] . "\n";
					print "EMAIL: " . $comment[1] . "\n";
					print "URL: " . $comment[2] . "\n";
					print $comment[5] . "\n";
					print "-----\n";
				}
			}

			$pings = $wpdb->get_results("select comment_author, comment_author_url, comment_author_IP, comment_date, comment_content from $wpdb->comments where comment_post_ID = $post[0] AND (comment_type = 'trackback' or comment_type = 'pingback') order by comment_date desc;", ARRAY_N);

			if ($pings != false)
			{
				foreach ($pings as $ping)
				{
					print "PING:\n";
					print "TITLE: " . $ping[0] . "\n";
					print "URL: " . $ping[1] . "\n";
					print "DATE: " . $ping[3] . "\n";
					print "IP: " . $ping[2] . "\n";
					print $ping[4];
					print "-----\n";
				}
			}

			print "--------\n";
		}
	}
?>
